# Generated by rust2rpm 17
%bcond_without check

%global crate just

Name:           rust-%{crate}
Version:        0.9.8
Release:        2%{?dist}
Summary:        A command runner

# Upstream license specification: CC0-1.0
License:        CC0
URL:            https://crates.io/crates/just
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
just is a handy way to save and run project-specific commands.}

%description %{_description}

%if ! %{__cargo_skip_build}
%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.adoc examples
%doc GRAMMAR.md CHANGELOG.md CONTRIBUTING.md
%{_bindir}/just
%{_mandir}/man1/just.1*
%{_datadir}/bash-completion
%{_datadir}/fish/
%{_datadir}/zsh/site-functions
%endif

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc crates-io-readme.md
%doc GRAMMAR.md CHANGELOG.md CONTRIBUTING.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -dp %{buildroot}%{_mandir}/man1
install -p -m 644 man/just.1 %{buildroot}%{_mandir}/man1
install -dp %{buildroot}%{_datadir}/bash-completion/completions/
install -p -m 644 completions/just.bash %{buildroot}%{_datadir}/bash-completion/completions/just
install -dp %{buildroot}%{_datadir}/fish/vendor_completions.d
install -p -m 644 completions/just.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/just.fish
install -dp %{buildroot}%{_datadir}/zsh/site-functions
install -p -m 644 completions/just.zsh %{buildroot}%{_datadir}/zsh/site-functions/_just

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 04 09:45:37 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.9.8-1
- Update to upstream 0.9.8; enable tests
- Add shell completions

* Sat Jul 03 12:57:26 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.9.6-1
- Initial package
